Viendo TwichTV en condiciones con livestream

Estaban poniendo las finales de CSGO en la DreamHack en Twichtv, el caso es que me era imposible verlo en el navegador en condiciones, el sonido iba bien pero la imagen se veía con muy pocos frames. Así, que googleando encontre como solucionarlo con livestreamer.

Para instalarlo:

 sudo apt-get install python-pip; sudo pip install livestreamer

Como se usa:

livestreamer http://twitch.tv/dreamhackcs source

No hay color, la diferencia a verlo con el navegador es enorme.

Compartir

11 Comentarios

  1. Llevo mucho tiempo usando livestreamer y lo recomiendo al 100%.

    Además de facilitar la visualización y mejorar la calidad (sobretodo en streamers pequeños), evitas problemas con plugins o errores del navegador.

    Otra opción para los usuarios de Windows, que sean perezosos y no quieran usar el prompt pues ya hay una aplicación DesktopLiveStreamer. Es una simple interfaz gráfica de usuario que a través de VLC y utilizando una interfaz de línea de comandos con Livestreamer convierte todo el proceso en un para juego de niños.

  2. A mi me da error me dice que el comando no se encuentra ya que el install de livestreamer me da esto –
    $ sudo pip install livestreamer
    Requirement already satisfied (use –upgrade to upgrade): livestreamer in /usr/lib/python2.7/dist-packages
    Requirement already satisfied (use –upgrade to upgrade): futures in /usr/lib/python2.7/dist-packages (from livestreamer)
    Requirement already satisfied (use –upgrade to upgrade): singledispatch in /usr/lib/python2.7/dist-packages (from livestreamer)
    Requirement already satisfied (use –upgrade to upgrade): requests>=1.0,<3.0 in /usr/local/lib/python2.7/dist-packages (from livestreamer)
    Requirement already satisfied (use –upgrade to upgrade): six in /usr/lib/python2.7/dist-packages (from singledispatch->livestreamer)
    Cleaning up…

    Alguién que sepa de como arreglar esto de indicar el update ?

      1. No sé si no me deja poner los dos guiones seguidos esto qué jajajaja, tu escribelo con dos guiones antes de upgrade y te actualizará el paquete

  3. Portaro para actualizarlo si ya lo tienes instalado sudo pip install livestreamer –upgrade
    Yo lo instalé así sudo pip3 install livestreamer y me rulo sin problemas, lo hice así porque mps-youtube me dió problemas instalando desde pip a secas la última vez.

    1. Gracias amigo asi → sudo pip3 install livestreamer → me funciono ya.
      Gracias por la ayuda,, la cosa es que todo lo que sea pip mo enttiendo mucho, pero con ese comando →pip3→ si que me funciono ahora.
      Y ya se por donde tirar ahora , gracias amigo.

      1. PIP es «Pip Installs Python» o algo así, es como un sistema de paquetes o repositorio de programas escritos en Python, pip3 usa Python3 me parece.
        Bueno, yo no soy muy entendido del tema, pero espero que se entienda lo que quiero decir.

  4. livestreamer es un gustazo, yo no uso flashplayer y gracias a él puedo ver los streams de algunos jugadores que me gustan mucho

Deja una respuesta a fanta Cancelar respuesta

Your email address will not be published. Required fields are marked *

To create code blocks or other preformatted text, indent by four spaces:

    This will be displayed in a monospaced font. The first four 
    spaces will be stripped off, but all other whitespace
    will be preserved.
    
    Markdown is turned off in code blocks:
     [This is not a link](http://example.com)

To create not a block, but an inline code span, use backticks:

Here is some inline `code`.

For more help see http://daringfireball.net/projects/markdown/syntax